Package net.sf.saxon.functions

## Class URIQueryParameters

- java.lang.Object
- - net.sf.saxon.functions.URIQueryParameters

-     public class URIQueryParameters
      extends java.lang.Object

  A set of query parameters on a URI passed to the collection() or document() function

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `URIQueryParameters.RegexFilter` | A FilenameFilter that tests file names against a regular expression

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ON_ERROR_FAIL` |
    `static int` | `ON_ERROR_IGNORE` |
    `static int` | `ON_ERROR_WARNING` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `URIQueryParameters​(java.lang.String query, Configuration config)` | Create an object representing the query part of a URI

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getContentType()` | Get the value of media-type, or null if absent
    `java.io.FilenameFilter` | `getFilenameFilter()` | Get the file name filter (select=pattern), or null if unspecified
    `java.lang.Boolean` | `getMetaData()` | Get the value of metadata=yes|no, or null if unspecified
    `java.lang.Integer` | `getOnError()` | Get the value of the on-error=fail|warning|ignore parameter, or null if unspecified
    `java.lang.Boolean` | `getRecurse()` | Get the value of the recurse=yes|no parameter, or null if unspecified
    `SpaceStrippingRule` | `getSpaceStrippingRule()` | Get the value of the strip-space=yes|no parameter.
    `java.lang.Boolean` | `getStable()` | Get the value of stable=yes|no, or null if unspecified
    `java.lang.Integer` | `getValidationMode()` | Get the value of the validation=strict|lax|preserve|strip parameter, or null if unspecified
    `java.lang.Boolean` | `getXInclude()` | Get the value of xinclude=yes|no, or null if unspecified
    `Maker<org.xml.sax.XMLReader>` | `getXMLReaderMaker()` | Get a factory for the selected XML parser class, or null if unspecified
    `static java.io.FilenameFilter` | `makeGlobFilter​(java.lang.String value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ON_ERROR_FAIL

          public static final int ON_ERROR_FAIL

      See Also:
        Constant Field Values

    - #### ON_ERROR_WARNING

          public static final int ON_ERROR_WARNING

      See Also:
        Constant Field Values

    - #### ON_ERROR_IGNORE

          public static final int ON_ERROR_IGNORE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### URIQueryParameters

          public URIQueryParameters​(java.lang.String query,
                                    Configuration config)
                             throws XPathException

      Create an object representing the query part of a URI
      Parameters:
        `query` - the part of the URI after the "?" symbol
        `config` - the Saxon configuration
      Throws:
        `XPathException`

  - ### Method Detail

    - #### makeGlobFilter

          public static java.io.FilenameFilter makeGlobFilter​(java.lang.String value)
                                                       throws XPathException

      Throws:
        `XPathException`

    - #### getSpaceStrippingRule

          public SpaceStrippingRule getSpaceStrippingRule()

      Get the value of the strip-space=yes|no parameter.
      Returns:
        an instance of `AllElementsSpaceStrippingRule`, `IgnorableSpaceStrippingRule`, or `NoElementsSpaceStrippingRule`, or null

    - #### getValidationMode

          public java.lang.Integer getValidationMode()

      Get the value of the validation=strict|lax|preserve|strip parameter, or null if unspecified

    - #### getFilenameFilter

          public java.io.FilenameFilter getFilenameFilter()

      Get the file name filter (select=pattern), or null if unspecified

    - #### getRecurse

          public java.lang.Boolean getRecurse()

      Get the value of the recurse=yes|no parameter, or null if unspecified

    - #### getOnError

          public java.lang.Integer getOnError()

      Get the value of the on-error=fail|warning|ignore parameter, or null if unspecified

    - #### getXInclude

          public java.lang.Boolean getXInclude()

      Get the value of xinclude=yes|no, or null if unspecified

    - #### getMetaData

          public java.lang.Boolean getMetaData()

      Get the value of metadata=yes|no, or null if unspecified

    - #### getContentType

          public java.lang.String getContentType()

      Get the value of media-type, or null if absent

    - #### getStable

          public java.lang.Boolean getStable()

      Get the value of stable=yes|no, or null if unspecified

    - #### getXMLReaderMaker

          public Maker<org.xml.sax.XMLReader> getXMLReaderMaker()

      Get a factory for the selected XML parser class, or null if unspecified